Subject: bug#12937: 24.2; Fontification performed in 'jit-lock-defer-time' in any case (don't wait while Emacs become really idle).

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Nov 2012 06:00:12 +0200

> From: Oleksandr Gavenko <[email-masked]>
> Date: Mon, 19 Nov 2012 22:56:26 +0200
> 
> I open (a very long .c file):
> 
>   emacs-bzr/trunk/src/coding.c
> 
> and hold DOWN key. Text in buffer scrolls up but with jerks (random stops of
> scrolling for a little time) due to fontification actions.
> 
> >From 'jit-lock-defer-time' docs:
> 
>   Idle time after which deferred fontification should take place.
>   If nil, fontification is not deferred.
> 
> I would try to workaround jerks with:
> 
>   (setq jit-lock-defer-time 0.01)
> 
> and with same negative effect by (see below):
> 
>   (setq jit-lock-defer-time 3.0)
> 
> When I hold DOWN key text scrolls up with jerks again! Because fontification
> performed again.
> 
> I expect that when I *hold* key Emacs in not idle (it get user input and
> redisplay text!!)

It depends on the auto-repeat rate of your keyboard and the speed of
your CPU.  With some combinations of those, I won't be surprised to
learn that Emacs has some idle time between auto-repeated keystrokes.